<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_setting_edit_pages' slug=halaman.slug %}"
    {% else %}
        action="{% url 'profile:admin_setting_create_pages' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.id.name }}" id="{{ form.id.id_for_label }}" value="{{ form.id.value|stringformat:'s' }}">
    {% endif %}
    
    <div class="form-group">
        <label for="{{ form.nama.id_for_label }}">Nama</label>
        <input type="text" placeholder="Masukkan nama Halaman..."
            class="form-control {% if form.nama.errors %}is-invalid{% endif %}"
            name="{{ form.nama.name }}"
            id="{{ form.nama.id_for_label }}" 
            maxlength="{{ form.nama.field.max_length }}"
            {% if form.nama.value != None %}value="{{ form.nama.value|stringformat:'s' }}"{% endif %}
            {% if form.nama.field.required %}required{% endif %} >
        {% if form.nama.errors %}
            <div class="invalid-feedback">
                {{ form.nama.errors }}
            </div>
        {% endif %}
    </div>

    <div for="{{ form.keterangan.id_for_label }}">Isi Halaman</div>
    <div class="container-fluid">
        {{form.keterangan}}
    </div>
    

    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>
